Unit tmlogr_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, MLOGR_p;

function tmlogr: String;

implementation

function tmlogr: String;
var
I,IERR :Integer;
F :Real;
RM :Array [0..54] of Real;
IM :Array [0..68] of Integer;
const
A :Array [0..9] of Real = ( 1.0,2.0,1.0,2.0,1.0,2.0,3.0,5.0,1.0,1.0 );
ALFA :Array [0..1] of Real = ( 2.0,3.0 );
B :Array [0..4] of Real = ( 15.0,20.0,10.0,0.0,0.0 );
C :Array [0..3] of Real = ( 1.0,2.0,3.0,-1.0 );
NALFA :Array [0..1] of Integer = ( 1,3 );
NSA :Array [0..9] of Integer = ( 1,2,3,1,2,3,1,2,3,3 );
NTAB :Array [0..3] of Integer = ( 3,3,3,1 );
M :Integer = 5;
N :Integer = 4;
PRP :Integer = 6;
KV :Integer = 2;
MNMX :Integer = 1;
LB :Integer = 30;
EPS :Real = 0.01;
begin
Result := '';  {   }
MLOGR(M,N,PRP,A,NSA,NTAB,ALFA,NALFA,KV,B,C,LB,EPS,MNMX,
     F,IM,RM,IERR);
Result := Result + #$0D#$0A;
for I:=1 to N do
 begin
  Result := Result + Format('%20.16f ',[RM[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tmlogr',Result);  {     tmlogr.res }
exit;
end;

end.
